Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
AuthManager.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6/** Local and Remote Authentication Management */
7module auth {
8
9 /** Authentication type */
10 enumeration Type {
11 LOCAL, ///< local authentication
12 RADIUS, ///< authentication via radius server
13 KERBEROS, ///< authentication with kerberos tickets (not implemented)
14 TACACS_PLUS, ///< authentication via TACACS+
15 LDAP ///< authentication via LDAP server
16 };
17
18 /** Authentication policy */
19 structure Policy {
20 auth.Type type; ///< Authentication type
21 boolean useLocalIfRemoteFailed; ///< Fall back to local authentication if remote authentication fails
22 };
23
24 /** Authentication manager interface */
25 interface AuthManager {
26
27 constant int ERR_UNSUPPORTED_TYPE = 1; ///< Unsupported authentication type
28
29 /**
30 * Gets a policy.
31 *
32 * @return a Policy object
33 */
34 Policy getPolicy();
35
36 /**
37 * Sets a policy.
38 *
39 * @return 0 on success
40 * @return 1 in case authentication type is not supported
41 */
42 int setPolicy(in Policy p);
43
44 };
45
46}
auth::AuthManager
Authentication manager interface.
Definition AuthManager.idl:25
auth::AuthManager::getPolicy
Policy getPolicy()
Gets a policy.
auth::AuthManager::setPolicy
int setPolicy(in Policy p)
Sets a policy.
auth
Local and Remote Authentication Management.
Definition AuthManager.idl:7
auth::Type
Type
Authentication type.
Definition AuthManager.idl:10
auth::KERBEROS
@ KERBEROS
authentication with kerberos tickets (not implemented)
Definition AuthManager.idl:13
auth::TACACS_PLUS
@ TACACS_PLUS
authentication via TACACS+
Definition AuthManager.idl:14
auth::RADIUS
@ RADIUS
authentication via radius server
Definition AuthManager.idl:12
auth::LOCAL
@ LOCAL
local authentication
Definition AuthManager.idl:11
auth::LDAP
@ LDAP
authentication via LDAP server
Definition AuthManager.idl:15
auth::Policy
Authentication policy.
Definition AuthManager.idl:19
auth::Policy::type
auth::Type type
Authentication type.
Definition AuthManager.idl:20
auth::Policy::useLocalIfRemoteFailed
boolean useLocalIfRemoteFailed
Fall back to local authentication if remote authentication fails.
Definition AuthManager.idl:21